# TdApi.ScopeAutosaveSettings (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ScopeAutosaveSettings

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ScopeAutosaveSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ScopeAutosaveSettings

Enclosing class:
  TdApi

public static final class TdApi.ScopeAutosaveSettings extends TdApi.Object
Contains autosave settings for an autosave settings scope.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`autosavePhotos`
True, if photo autosave is enabled.
`boolean`
`autosaveVideos`
True, if video autosave is enabled.
`static final int`
`CONSTRUCTOR`
`long`
`maxVideoFileSize`
The maximum size of a video file to be autosaved, in bytes; 512 KB - 4000 MB.

## Constructor Summary

Constructors
Constructor
Description
`ScopeAutosaveSettings()`
Contains autosave settings for an autosave settings scope.
`ScopeAutosaveSettings(boolean autosavePhotos, boolean autosaveVideos, long maxVideoFileSize)`
Contains autosave settings for an autosave settings scope.
`ScopeAutosaveSettings(DataInput input)`
Contains autosave settings for an autosave settings scope.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### autosavePhotos

public boolean autosavePhotos
True, if photo autosave is enabled.

### autosaveVideos

public boolean autosaveVideos
True, if video autosave is enabled.

### maxVideoFileSize

public long maxVideoFileSize
The maximum size of a video file to be autosaved, in bytes; 512 KB - 4000 MB.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ScopeAutosaveSettings

public ScopeAutosaveSettings()
Contains autosave settings for an autosave settings scope.

### ScopeAutosaveSettings

public ScopeAutosaveSettings(boolean autosavePhotos, boolean autosaveVideos, long maxVideoFileSize)
Contains autosave settings for an autosave settings scope.

Parameters:
  `autosavePhotos` - boolean True, if photo autosave is enabled.
  `autosaveVideos` - boolean True, if video autosave is enabled.
  `maxVideoFileSize` - long The maximum size of a video file to be autosaved, in bytes; 512 KB - 4000 MB.

### ScopeAutosaveSettings

public ScopeAutosaveSettings(DataInput input) throws IOException
Contains autosave settings for an autosave settings scope.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`